/* keywork.h */

#ifndef _KEYWORK_
#define _KEYWORK_

#define ALPHA   '!'
#define ANY     '@'
#define CHAR    '#'
#define HEX     '$'
#define INTEGER '%'
#define REAL    '^'

#define ENTRY_SPACE "!@#$%^"

#define NONE    ' '
#define UPPER   'U'

#define MIN_LEN  1
#define MAX_LEN 72

#define MIN_X 1
#define MAX_X 80
#define MIN_Y 1
#define MAX_Y 25

int get_key    (void);
int get_string (int x, int y, char *str, int len, char type);

#endif



