Option Explicit

'This small routine will activate the cc:Mail Dialog for addressing and
'entering a short message by the user.
Sub CCMailDialog ()
   Dim ccMail As New MailFrm
   Load ccMail
   If ccMail.Initialized Then
      SendMail ccMail
   End If
   Unload ccMail
End Sub

'This routine will send a topic/message to a specific cc:Mail user
'(eg. "Rick Sands") or an address list (eg. "#Programmers").
'Side-effect: Clears the clipboard.
Sub ccMailSend (ccTo$, ccSubject$, ccMsg$)
   Dim ccMail As New MailFrm
   Load ccMail
   If ccMail.Initialized Then
      Clipboard.Clear
      Clipboard.SetText ccMsg$
      ccMail.Mail.LinkExecute "Subject " & ccSubject$
      ccMail.Mail.LinkExecute "Paste"
      ccMail.Mail.LinkExecute "To " & ccTo$
      SendMail ccMail
   End If
   Unload ccMail
End Sub

Private Sub SendMail (X As Form)
   X.Mail.LinkExecute "Send"
   X.Mail.LinkMode = 0
End Sub

